# Crow: crow::http_parser Struct Reference

crow::http_parser Struct Reference
Inheritance diagram for crow::http_parser:

## Public Attributes

unsigned int | flags: 7
unsigned int | state: 8
unsigned int | header_state: 7
unsigned int | index: 5
unsigned int | uses_transfer_encoding: 1
unsigned int | allow_chunked_length: 1
unsigned int | lenient_http_headers: 1
uint32_t | nread
uint64_t | content_length
unsigned long | qs_point
unsigned char | http_major
unsigned char | http_minor
unsigned int | method: 8
unsigned int | http_errno: 7
unsigned int | upgrade: 1
void * | data

## Member Data Documentation

## data

void* crow::http_parser::data

PUBLIC

## flags

unsigned int crow::http_parser::flags

PRIVATE

## http_major

unsigned char crow::http_parser::http_major

READ-ONLY

The documentation for this struct was generated from the following file:

- include/crow/http_parser_merged.h